View Issue Details

IDProjectCategoryLast Update
0019532AI War 2[All Projects] Bug - GameplayAug 8, 2018 5:39 pm
ReporterzeusalmightyAssigned Tox4000Bughunter 
Severityminor 
Status closedResolutionfixed 
Product Version0.715 
Fixed in Version0.759-0.760 Only The Start of Discovery 
Summary0019532: Ark and Flagships build everything without orders to do so
DescriptionObserved: Ark and Flagship add all fleet to queue when un-paused

Expected: Only selected fleet will be added to queue

Trying to have my Ark build a defensive fleet while my flagships build my stealth fleet, but they both add units to the queue without orders.

This makes rallying specific units to a given control group impossible
TagsNo tags attached.
Internal Weight

Activities

zeusalmighty

Mar 25, 2018 2:06 pm

reporter  

buggy build queue.save (4,431,985 bytes)
buggy build queue.savemet (51 bytes)

BadgerBadger

Mar 26, 2018 8:43 am

manager   ~0047298

Last edited: Mar 26, 2018 9:38 am

View 2 revisions

Both your control groups have Build Queue Policy set to "Everything". So your flagship and Ark are both going to be building all available units. Change the policy to "Nothing" and then you will have manual control.

Edit: Did you start with "Build Queues Enabled" in the game lobby? That might explain how you got into this state

zeusalmighty

Mar 26, 2018 1:11 pm

reporter   ~0047299

Derp, well that would explain it--I did start out with build everything initially but I guess I wasn't aware of that function. Thanks!

zeusalmighty

Mar 26, 2018 3:27 pm

reporter   ~0047300

I haven't been able to figure out how to change the build queue policy while in game--doesn't seem to be a "special command" nor do I see it a toggle for it when I select my constructors

Moreover, I'm still having issues with the rally function. Tried clearing it and making new ones, eg. making my ARK control 1. Expect this to show as the the rally point but instead it either my starship constructor is the target or I get an empty bracket as the target, which isn't indicative of where ships are rallied too

BadgerBadger

Mar 26, 2018 4:19 pm

manager   ~0047301

Build queue policy is set on the group level. So hit 1 to select group 1. In the bottom left menu there's a "Group Behaviour" button. Hit that, then choose "Build Policy", then set that to "None".

I hope this is more obvious in the new GUI....

zeusalmighty

Mar 26, 2018 8:40 pm

reporter   ~0047302

Oh ok, didn't think to check that.

Yeah, this isn't very intuitive as it stands

x4000Bughunter

Apr 2, 2018 12:03 pm

administrator   ~0047345

How is this feeling in the new GUI? Obviously it's not complete, but still.

BadgerBadger

Aug 8, 2018 5:39 pm

manager   ~0048214

Ark and Flagships died in the pivot

Issue History

Date Modified Username Field Change
Mar 25, 2018 2:06 pm zeusalmighty New Issue
Mar 25, 2018 2:06 pm zeusalmighty File Added: buggy build queue.save
Mar 25, 2018 2:06 pm zeusalmighty File Added: buggy build queue.savemet
Mar 26, 2018 8:43 am BadgerBadger Note Added: 0047298
Mar 26, 2018 9:38 am BadgerBadger Note Edited: 0047298 View Revisions
Mar 26, 2018 1:11 pm zeusalmighty Note Added: 0047299
Mar 26, 2018 3:27 pm zeusalmighty Note Added: 0047300
Mar 26, 2018 4:19 pm BadgerBadger Note Added: 0047301
Mar 26, 2018 8:40 pm zeusalmighty Note Added: 0047302
Apr 2, 2018 12:03 pm x4000Bughunter Assigned To => x4000Bughunter
Apr 2, 2018 12:03 pm x4000Bughunter Status new => assigned
Apr 2, 2018 12:03 pm x4000Bughunter Note Added: 0047345
Aug 8, 2018 5:39 pm BadgerBadger Status assigned => closed
Aug 8, 2018 5:39 pm BadgerBadger Resolution open => fixed
Aug 8, 2018 5:39 pm BadgerBadger Fixed in Version => 0.759-0.760 Only The Start of Discovery
Aug 8, 2018 5:39 pm BadgerBadger Note Added: 0048214